<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroLinksViewModelBuilder implements Builder {
	protected $links;

	public function build(): PagSeguroLinksViewModel {

		$obj = new PagSeguroLinksViewModel();

		$this->setLinks( $this->links );

		return $obj;

	}

	/**
	 *
	 * @param mixed $links
	 */
	public function setLinks($links): PagSeguroLinksViewModelBuilder {

		$this->links = $links;
		return $this;

	}

}

